summaryrefslogtreecommitdiff
path: root/dev-python/tomli
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-08-05 01:37:18 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-08-05 01:37:18 +0000
commit73bc48ea17f0ddfc73f06a7b114eb80bcccb4b3c (patch)
tree5b10de5bcbbaa25f46fb77f8b36271975a0434fc /dev-python/tomli
parent3f10ce2bf0b5a798fb0149110377acb48bb88e1a (diff)
downloadbaldeagleos-repo-73bc48ea17f0ddfc73f06a7b114eb80bcccb4b3c.tar.gz
baldeagleos-repo-73bc48ea17f0ddfc73f06a7b114eb80bcccb4b3c.tar.xz
baldeagleos-repo-73bc48ea17f0ddfc73f06a7b114eb80bcccb4b3c.zip
Adding metadata
Diffstat (limited to 'dev-python/tomli')
-rw-r--r--dev-python/tomli/tomli-1.0.4.ebuild11
1 files changed, 10 insertions, 1 deletions
diff --git a/dev-python/tomli/tomli-1.0.4.ebuild b/dev-python/tomli/tomli-1.0.4.ebuild
index 94e444ef0bd0..292e818dc55f 100644
--- a/dev-python/tomli/tomli-1.0.4.ebuild
+++ b/dev-python/tomli/tomli-1.0.4.ebuild
@@ -3,7 +3,6 @@
EAPI=8
-DISTUTILS_USE_SETUPTOOLS=pyproject.toml
PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
inherit distutils-r1
@@ -23,3 +22,13 @@ BDEPEND="
test? ( dev-python/python-dateutil[${PYTHON_USEDEP}] )"
distutils_enable_tests pytest
+
+src_prepare() {
+ # we don't use pyproject.toml to avoid circular deps
+ cat > setup.py <<-EOF || die
+ from setuptools import setup
+ setup(name="tomli", version="${PV}", packages=["tomli"], package_data={"": ["*"]})
+ EOF
+
+ distutils-r1_src_prepare
+}